namespace Gen7 {
    [Move effect=CurePartyStatus]
    shared class CurePartyStatus : PkmnScript{
        void OnSecondaryEffect(ExecutingMove@ attack, Pokemon@ target, uint8 hit) override {
            auto user = attack.User;
            user.ClearStatus();

            auto battleParty = user.Battle.FindPartyForPokemon(user);
            if (battleParty !is null){
                auto party = battleParty.Party;
                for (int i = 0; i < party.Length; i++){
                    auto m = party.GetAtIndex(i);
                    if (m !is null){
                        m.ClearStatus();
                    }
                }    
            }
        }
    }
}