Party@ CreateSimpleParty(const array<constString>&in species, uint8 level);

Battle@ CreateSimpleBattle(uint seed, const constString&in species1, const constString&in species2, uint8 level);
Battle@ CreateSimpleBattle(uint seed, Party@ p1, Party@ p2);

// Note that this returns a ref handle, and therefore should be cast first.
ref@ CreateMoveScript(const constString&in name);
ExecutingMove@ CreateExecutingMove(const constString&in moveName, Pokemon@ user, Pokemon@ target);
MoveTurnChoice@ CreateMoveTurnChoice(const constString&in moveName, Pokemon@ user, uint8 targetSide, uint8 target);

bool Require(bool expression);
bool RequireEquals(int expected, int actual);
bool RequireEquals(const string &in expected, const string &in actual);